Skip to content

Final feedback ​

Closing feedback the staff writes for each student.

My final feedback in a class ​

GET /me/turmas/{turmaId}/feedback-final

Access: Any signed-in person. Rate limit: up to 600 calls every 60 s per origin. Success status: 200.

Path parameters

ParameterTypeRequiredConstraintsDescription
turmaIdstring (uuid)yesClass id.

Response

FeedbackFinalDoAluno

FieldTypeRequiredConstraintsDescription
turmaobjectyes
turma.idstring (uuid)yes
turma.nomestringyes
liberadobooleanyes
liberaEmData or nullyes
criterioslist of CriterioDtoyes
feedbackslist of FeedbackFinalDtoyes

On error: ErroApi model.

Example

bash
curl -X GET "$API/me/turmas/{turmaId}/feedback-final" -H "Authorization: Bearer $TOKEN"

List the class's final feedback, by student ​

GET /turmas/{turmaId}/feedback-final

Access: Requires the capability LER over class (params.turmaId). Success status: 200.

Path parameters

ParameterTypeRequiredConstraintsDescription
turmaIdstring (uuid)yesClass id.

Response

FeedbackFinalTurma

FieldTypeRequiredConstraintsDescription
turmaobjectyes
turma.idstring (uuid)yes
turma.nomestringyes
turma.dataInicioData or nullyes
turma.dataFimData or nullyes
janelaJanelaFeedbackyes
podeEscreverbooleanyes
verTudobooleanyes
itenslist of objectyes
itens[].matriculaIdstring (uuid)yes
itens[].alunoobjectyes
itens[].aluno.idstring (uuid)yes
itens[].aluno.nomestringyes
itens[].meuEmstring or nullyes

On error: ErroApi model.

Example

bash
curl -X GET "$API/turmas/{turmaId}/feedback-final" -H "Authorization: Bearer $TOKEN"

Read a student's final feedback ​

GET /turmas/{turmaId}/matriculas/{matriculaId}/feedback-final

Access: Requires the capability LER over class (params.turmaId). Success status: 200.

Path parameters

ParameterTypeRequiredConstraintsDescription
matriculaIdstring (uuid)yesEnrollment id.
turmaIdstring (uuid)yesClass id.

Response

FeedbackFinalMatricula

FieldTypeRequiredConstraintsDescription
matriculaIdstring (uuid)yes
turmaobjectyes
turma.idstring (uuid)yes
turma.nomestringyes
turma.dataInicioData or nullyes
turma.dataFimData or nullyes
alunoobjectyes
aluno.idstring (uuid)yes
aluno.nomestringyes
janelaJanelaFeedbackyes
criterioslist of CriterioDtoyes
meuFeedbackFinalDto or nullyes
podeEscreverbooleanyes
verTudobooleanyes

On error: ErroApi model.

Example

bash
curl -X GET "$API/turmas/{turmaId}/matriculas/{matriculaId}/feedback-final" -H "Authorization: Bearer $TOKEN"

Save a student's final feedback ​

PUT /turmas/{turmaId}/matriculas/{matriculaId}/feedback-final

Access: Requires the capability AVALIAR over class (params.turmaId). Success status: 200.

Path parameters

ParameterTypeRequiredConstraintsDescription
matriculaIdstring (uuid)yesEnrollment id.
turmaIdstring (uuid)yesClass id.

Request body (FeedbackFinalEscrever)

FieldTypeRequiredConstraintsDescription
notaslist of objectyes0–200 items
notas[].criterioIdstring (uuid)yes
notas[].valorinteger or nullyes
comentariostringyes1–4000 characters
comentarioInternostring or nullnoto 4000 characters

Response

FeedbackFinalMatricula

FieldTypeRequiredConstraintsDescription
matriculaIdstring (uuid)yes
turmaobjectyes
turma.idstring (uuid)yes
turma.nomestringyes
turma.dataInicioData or nullyes
turma.dataFimData or nullyes
alunoobjectyes
aluno.idstring (uuid)yes
aluno.nomestringyes
janelaJanelaFeedbackyes
criterioslist of CriterioDtoyes
meuFeedbackFinalDto or nullyes
podeEscreverbooleanyes
verTudobooleanyes

On error: ErroApi model.

Example

bash
curl -X PUT "$API/turmas/{turmaId}/matriculas/{matriculaId}/feedback-final" -H "Authorization: Bearer $TOKEN" -H "Content-Type: application/json" -d '{"notas":[{"criterioId":"0198a000-0000-7000-8000-000000000001","valor":1}],"comentario":"texto"}'

contato@presente.app.br